Index: code/trunk/src/core/BaseObject.cc
===================================================================
--- code/trunk/src/core/BaseObject.cc	(revision 1055)
+++ code/trunk/src/core/BaseObject.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/BaseObject.h
===================================================================
--- code/trunk/src/core/BaseObject.h	(revision 1055)
+++ code/trunk/src/core/BaseObject.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/ClassFactory.h
===================================================================
--- code/trunk/src/core/ClassFactory.h	(revision 1055)
+++ code/trunk/src/core/ClassFactory.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/ClassManager.h
===================================================================
--- code/trunk/src/core/ClassManager.h	(revision 1055)
+++ code/trunk/src/core/ClassManager.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/ClassTreeMask.cc
===================================================================
--- code/trunk/src/core/ClassTreeMask.cc	(revision 1055)
+++ code/trunk/src/core/ClassTreeMask.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/ClassTreeMask.h
===================================================================
--- code/trunk/src/core/ClassTreeMask.h	(revision 1055)
+++ code/trunk/src/core/ClassTreeMask.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/CommandExecutor.cc
===================================================================
--- code/trunk/src/core/CommandExecutor.cc	(revision 1055)
+++ code/trunk/src/core/CommandExecutor.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/CommandExecutor.h
===================================================================
--- code/trunk/src/core/CommandExecutor.h	(revision 1055)
+++ code/trunk/src/core/CommandExecutor.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/ConfigFileManager.cc
===================================================================
--- code/trunk/src/core/ConfigFileManager.cc	(revision 1055)
+++ code/trunk/src/core/ConfigFileManager.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/ConfigFileManager.h
===================================================================
--- code/trunk/src/core/ConfigFileManager.h	(revision 1055)
+++ code/trunk/src/core/ConfigFileManager.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/ConfigValueContainer.cc
===================================================================
--- code/trunk/src/core/ConfigValueContainer.cc	(revision 1055)
+++ code/trunk/src/core/ConfigValueContainer.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/ConfigValueContainer.h
===================================================================
--- code/trunk/src/core/ConfigValueContainer.h	(revision 1055)
+++ code/trunk/src/core/ConfigValueContainer.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/ConfigValueIncludes.h
===================================================================
--- code/trunk/src/core/ConfigValueIncludes.h	(revision 1055)
+++ code/trunk/src/core/ConfigValueIncludes.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/ConsoleCommand.h
===================================================================
--- code/trunk/src/core/ConsoleCommand.h	(revision 1055)
+++ code/trunk/src/core/ConsoleCommand.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/CoreIncludes.h
===================================================================
--- code/trunk/src/core/CoreIncludes.h	(revision 1055)
+++ code/trunk/src/core/CoreIncludes.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/CorePrereqs.h
===================================================================
--- code/trunk/src/core/CorePrereqs.h	(revision 1055)
+++ code/trunk/src/core/CorePrereqs.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/CoreSettings.cc
===================================================================
--- code/trunk/src/core/CoreSettings.cc	(revision 1055)
+++ code/trunk/src/core/CoreSettings.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/CoreSettings.h
===================================================================
--- code/trunk/src/core/CoreSettings.h	(revision 1055)
+++ code/trunk/src/core/CoreSettings.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Debug.h
===================================================================
--- code/trunk/src/core/Debug.h	(revision 1055)
+++ code/trunk/src/core/Debug.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Error.cc
===================================================================
--- code/trunk/src/core/Error.cc	(revision 1055)
+++ code/trunk/src/core/Error.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Error.h
===================================================================
--- code/trunk/src/core/Error.h	(revision 1055)
+++ code/trunk/src/core/Error.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Executor.cc
===================================================================
--- code/trunk/src/core/Executor.cc	(revision 1055)
+++ code/trunk/src/core/Executor.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Executor.h
===================================================================
--- code/trunk/src/core/Executor.h	(revision 1055)
+++ code/trunk/src/core/Executor.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Factory.cc
===================================================================
--- code/trunk/src/core/Factory.cc	(revision 1055)
+++ code/trunk/src/core/Factory.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Factory.h
===================================================================
--- code/trunk/src/core/Factory.h	(revision 1055)
+++ code/trunk/src/core/Factory.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Functor.h
===================================================================
--- code/trunk/src/core/Functor.h	(revision 1055)
+++ code/trunk/src/core/Functor.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Identifier.cc
===================================================================
--- code/trunk/src/core/Identifier.cc	(revision 1055)
+++ code/trunk/src/core/Identifier.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Identifier.h
===================================================================
--- code/trunk/src/core/Identifier.h	(revision 1055)
+++ code/trunk/src/core/Identifier.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/IdentifierDistributor.cc
===================================================================
--- code/trunk/src/core/IdentifierDistributor.cc	(revision 1055)
+++ code/trunk/src/core/IdentifierDistributor.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/IdentifierDistributor.h
===================================================================
--- code/trunk/src/core/IdentifierDistributor.h	(revision 1055)
+++ code/trunk/src/core/IdentifierDistributor.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/InputBuffer.cc
===================================================================
--- code/trunk/src/core/InputBuffer.cc	(revision 1055)
+++ code/trunk/src/core/InputBuffer.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/InputBuffer.h
===================================================================
--- code/trunk/src/core/InputBuffer.h	(revision 1055)
+++ code/trunk/src/core/InputBuffer.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/InputEvent.h
===================================================================
--- code/trunk/src/core/InputEvent.h	(revision 1055)
+++ code/trunk/src/core/InputEvent.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/InputEventListener.cc
===================================================================
--- code/trunk/src/core/InputEventListener.cc	(revision 1055)
+++ code/trunk/src/core/InputEventListener.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/InputEventListener.h
===================================================================
--- code/trunk/src/core/InputEventListener.h	(revision 1055)
+++ code/trunk/src/core/InputEventListener.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/InputHandler.cc
===================================================================
--- code/trunk/src/core/InputHandler.cc	(revision 1055)
+++ code/trunk/src/core/InputHandler.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/InputHandler.h
===================================================================
--- code/trunk/src/core/InputHandler.h	(revision 1055)
+++ code/trunk/src/core/InputHandler.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/InputManager.cc
===================================================================
--- code/trunk/src/core/InputManager.cc	(revision 1055)
+++ code/trunk/src/core/InputManager.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/InputManager.h
===================================================================
--- code/trunk/src/core/InputManager.h	(revision 1055)
+++ code/trunk/src/core/InputManager.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Iterator.h
===================================================================
--- code/trunk/src/core/Iterator.h	(revision 1055)
+++ code/trunk/src/core/Iterator.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Language.cc
===================================================================
--- code/trunk/src/core/Language.cc	(revision 1055)
+++ code/trunk/src/core/Language.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Language.h
===================================================================
--- code/trunk/src/core/Language.h	(revision 1055)
+++ code/trunk/src/core/Language.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Level.h
===================================================================
--- code/trunk/src/core/Level.h	(revision 1055)
+++ code/trunk/src/core/Level.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Loader.cc
===================================================================
--- code/trunk/src/core/Loader.cc	(revision 1055)
+++ code/trunk/src/core/Loader.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Loader.h
===================================================================
--- code/trunk/src/core/Loader.h	(revision 1055)
+++ code/trunk/src/core/Loader.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/MetaObjectList.cc
===================================================================
--- code/trunk/src/core/MetaObjectList.cc	(revision 1055)
+++ code/trunk/src/core/MetaObjectList.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/MetaObjectList.h
===================================================================
--- code/trunk/src/core/MetaObjectList.h	(revision 1055)
+++ code/trunk/src/core/MetaObjectList.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Namespace.cc
===================================================================
--- code/trunk/src/core/Namespace.cc	(revision 1055)
+++ code/trunk/src/core/Namespace.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Namespace.h
===================================================================
--- code/trunk/src/core/Namespace.h	(revision 1055)
+++ code/trunk/src/core/Namespace.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/NamespaceNode.cc
===================================================================
--- code/trunk/src/core/NamespaceNode.cc	(revision 1055)
+++ code/trunk/src/core/NamespaceNode.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/NamespaceNode.h
===================================================================
--- code/trunk/src/core/NamespaceNode.h	(revision 1055)
+++ code/trunk/src/core/NamespaceNode.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/ObjectList.h
===================================================================
--- code/trunk/src/core/ObjectList.h	(revision 1055)
+++ code/trunk/src/core/ObjectList.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/OrxonoxClass.cc
===================================================================
--- code/trunk/src/core/OrxonoxClass.cc	(revision 1055)
+++ code/trunk/src/core/OrxonoxClass.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/OrxonoxClass.h
===================================================================
--- code/trunk/src/core/OrxonoxClass.h	(revision 1055)
+++ code/trunk/src/core/OrxonoxClass.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/OutputHandler.cc
===================================================================
--- code/trunk/src/core/OutputHandler.cc	(revision 1055)
+++ code/trunk/src/core/OutputHandler.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/OutputHandler.h
===================================================================
--- code/trunk/src/core/OutputHandler.h	(revision 1055)
+++ code/trunk/src/core/OutputHandler.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Script.cc
===================================================================
--- code/trunk/src/core/Script.cc	(revision 1055)
+++ code/trunk/src/core/Script.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Script.h
===================================================================
--- code/trunk/src/core/Script.h	(revision 1055)
+++ code/trunk/src/core/Script.h	(revision 1056)
@@ -1,2 +1,30 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Benjamin Knecht
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 /**
  @file  script.h
Index: code/trunk/src/core/SignalHandler.cc
===================================================================
--- code/trunk/src/core/SignalHandler.cc	(revision 1055)
+++ code/trunk/src/core/SignalHandler.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/SignalHandler.h
===================================================================
--- code/trunk/src/core/SignalHandler.h	(revision 1055)
+++ code/trunk/src/core/SignalHandler.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Tickable.cc
===================================================================
--- code/trunk/src/core/Tickable.cc	(revision 1055)
+++ code/trunk/src/core/Tickable.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/Tickable.h
===================================================================
--- code/trunk/src/core/Tickable.h	(revision 1055)
+++ code/trunk/src/core/Tickable.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/XMLPort.cc
===================================================================
--- code/trunk/src/core/XMLPort.cc	(revision 1055)
+++ code/trunk/src/core/XMLPort.cc	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *
Index: code/trunk/src/core/XMLPort.h
===================================================================
--- code/trunk/src/core/XMLPort.h	(revision 1055)
+++ code/trunk/src/core/XMLPort.h	(revision 1056)
@@ -1,4 +1,5 @@
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
  *
  *