Index: /code/trunk/src/core/CommandExecutor.cc
===================================================================
--- /code/trunk/src/core/CommandExecutor.cc	(revision 1058)
+++ /code/trunk/src/core/CommandExecutor.cc	(revision 1059)
@@ -196,4 +196,6 @@
 //            return KeybindMode::onPress;
         }
+        // FIXME: Had to insert a return statement
+        return (KeybindMode)0;
     }
 
Index: /code/trunk/src/core/Identifier.cc
===================================================================
--- /code/trunk/src/core/Identifier.cc	(revision 1058)
+++ /code/trunk/src/core/Identifier.cc	(revision 1059)
@@ -155,5 +155,5 @@
     bool Identifier::isA(const Identifier* identifier) const
     {
-        return (identifier == this || (this->parents_.find(identifier) != this->children_->end()));
+        return (identifier == this || (this->parents_.find(identifier) != this->parents_.end()));
     }
 
Index: /code/trunk/src/core/XMLPort.h
===================================================================
--- /code/trunk/src/core/XMLPort.h	(revision 1058)
+++ /code/trunk/src/core/XMLPort.h	(revision 1059)
@@ -96,4 +96,5 @@
     class _CoreExport XMLPortParamContainer
     {
+    public:
         enum ParseResult
         {
Index: /code/trunk/src/orxonox/CMakeLists.txt
===================================================================
--- /code/trunk/src/orxonox/CMakeLists.txt	(revision 1058)
+++ /code/trunk/src/orxonox/CMakeLists.txt	(revision 1059)
@@ -43,5 +43,4 @@
   audio
   network
-#  loader
 )
 
Index: /code/trunk/visual_studio/base_properties.vsprops
===================================================================
--- /code/trunk/visual_studio/base_properties.vsprops	(revision 1058)
+++ /code/trunk/visual_studio/base_properties.vsprops	(revision 1059)
@@ -11,5 +11,5 @@
 		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB; ZLIB_WINAPI"
 		WarningLevel="3"
-		DisableSpecificWarnings="4522;4251"
+		DisableSpecificWarnings="4522;4251;4800"
 	/>
 	<Tool
Index: /code/trunk/visual_studio/vc8/core.vcproj
===================================================================
--- /code/trunk/visual_studio/vc8/core.vcproj	(revision 1058)
+++ /code/trunk/visual_studio/vc8/core.vcproj	(revision 1059)
@@ -149,89 +149,109 @@
 			>
 			<File
-				RelativePath="..\..\src\orxonox\core\BaseObject.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\ClassTreeMask.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\ConfigValueContainer.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\DebugLevel.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Error.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Executor.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Factory.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Identifier.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\IdentifierDistributor.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\InputEventListener.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\InputHandler.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\InputManager.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Language.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Loader.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\MetaObjectList.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\OrxonoxClass.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\OutputHandler.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Script.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\SignalHandler.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Tickable.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\ToLuaBind.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\XMLPort.cc"
+				RelativePath="..\..\src\core\BaseObject.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\ClassTreeMask.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\CommandExecutor.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\ConfigFileManager.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\ConfigValueContainer.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\CoreSettings.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Error.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Executor.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Factory.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Identifier.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\IdentifierDistributor.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\InputBuffer.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\InputEventListener.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\InputHandler.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\InputManager.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Language.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Loader.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\MetaObjectList.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Namespace.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\NamespaceNode.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\OrxonoxClass.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\OutputHandler.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Script.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\SignalHandler.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Tickable.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\ToLuaBind.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\XMLPort.cc"
 				>
 			</File>
@@ -243,129 +263,157 @@
 			>
 			<File
-				RelativePath="..\..\src\orxonox\core\BaseObject.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\ClassFactory.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\ClassManager.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\ClassTreeMask.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\ConfigValueContainer.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\CoreIncludes.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\CorePrereqs.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Debug.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\DebugLevel.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Error.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Executor.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Factory.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Functor.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Identifier.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\IdentifierDistributor.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\InputEvent.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\InputEventListener.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\InputHandler.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\InputManager.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Iterator.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Language.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Level.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Loader.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\MetaObjectList.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\ObjectList.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\OrxonoxClass.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\OutputHandler.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Script.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\SignalHandler.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\Tickable.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\ToLuaBind.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\XMLPort.h"
+				RelativePath="..\..\src\core\BaseObject.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\ClassFactory.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\ClassManager.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\ClassTreeMask.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\CommandExecutor.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\ConfigFileManager.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\ConfigValueContainer.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\ConfigValueIncludes.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\ConsoleCommand.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\CoreIncludes.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\CorePrereqs.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\CoreSettings.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Debug.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Error.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Executor.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Factory.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Functor.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Identifier.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\IdentifierDistributor.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\InputBuffer.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\InputEvent.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\InputEventListener.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\InputHandler.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\InputManager.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Iterator.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Language.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Level.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Loader.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\MetaObjectList.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Namespace.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\NamespaceNode.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\ObjectList.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\OrxonoxClass.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\OutputHandler.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Script.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\SignalHandler.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\Tickable.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\ToLuaBind.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\core\XMLPort.h"
 				>
 			</File>
Index: /code/trunk/visual_studio/vc8/tolua++.vcproj
===================================================================
--- /code/trunk/visual_studio/vc8/tolua++.vcproj	(revision 1058)
+++ /code/trunk/visual_studio/vc8/tolua++.vcproj	(revision 1059)
@@ -131,33 +131,29 @@
 			>
 			<File
-				RelativePath="..\..\src\orxonox\core\tolua\tolua.c"
+				RelativePath="..\..\src\util\tolua\tolua.c"
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\orxonox\core\tolua\tolua_bind.cc"
+				RelativePath="..\..\src\util\tolua\tolua_event.c"
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\orxonox\core\tolua\tolua_event.c"
+				RelativePath="..\..\src\util\tolua\tolua_is.c"
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\orxonox\core\tolua\tolua_is.c"
+				RelativePath="..\..\src\util\tolua\tolua_map.c"
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\orxonox\core\tolua\tolua_map.c"
+				RelativePath="..\..\src\util\tolua\tolua_push.c"
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\orxonox\core\tolua\tolua_push.c"
+				RelativePath="..\..\src\util\tolua\tolua_to.c"
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\orxonox\core\tolua\tolua_to.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\tolua\toluabind.c"
+				RelativePath="..\..\src\util\tolua\toluabind.c"
 				>
 			</File>
@@ -169,21 +165,17 @@
 			>
 			<File
-				RelativePath="..\..\src\orxonox\core\tolua\tolua++.h"
+				RelativePath="..\..\src\util\tolua\tolua++.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\orxonox\core\tolua\tolua_bind.h"
+				RelativePath="..\..\src\util\tolua\tolua_event.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\orxonox\core\tolua\tolua_event.h"
+				RelativePath="..\..\src\util\tolua\toluabind.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\orxonox\core\tolua\toluabind.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\orxonox\core\tolua\toluabind_default.h"
+				RelativePath="..\..\src\util\tolua\toluabind_default.h"
 				>
 			</File>
Index: /code/trunk/visual_studio/vc8/util.vcproj
===================================================================
--- /code/trunk/visual_studio/vc8/util.vcproj	(revision 1058)
+++ /code/trunk/visual_studio/vc8/util.vcproj	(revision 1059)
@@ -153,4 +153,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\util\Clipboard.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\util\Math.cc"
 				>
@@ -187,4 +191,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\util\Clipboard.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\util\Convert.h"
 				>