Index: code/trunk/src/util/ArgReader.cc
===================================================================
--- code/trunk/src/util/ArgReader.cc	(revision 1056)
+++ code/trunk/src/util/ArgReader.cc	(revision 1062)
@@ -32,7 +32,7 @@
  */
 
+#include "ArgReader.h"
+
 #include <iostream>
-
-#include "ArgReader.h"
 
 ArgReader::ArgReader(int argc, char** argv)
Index: code/trunk/src/util/ArgReader.h
===================================================================
--- code/trunk/src/util/ArgReader.h	(revision 1056)
+++ code/trunk/src/util/ArgReader.h	(revision 1062)
@@ -36,7 +36,7 @@
 #define _ArgReader_H__
 
+#include "UtilPrereqs.h"
+
 #include <string>
-
-#include "UtilPrereqs.h"
 
 class _UtilExport ArgReader
Index: code/trunk/src/util/Clipboard.h
===================================================================
--- code/trunk/src/util/Clipboard.h	(revision 1056)
+++ code/trunk/src/util/Clipboard.h	(revision 1062)
@@ -30,7 +30,7 @@
 #define _Clipboard_H__
 
+#include "UtilPrereqs.h"
+
 #include <string>
-
-#include "UtilPrereqs.h"
 
 
Index: code/trunk/src/util/Convert.h
===================================================================
--- code/trunk/src/util/Convert.h	(revision 1056)
+++ code/trunk/src/util/Convert.h	(revision 1062)
@@ -35,8 +35,9 @@
 #define _Convert_H__
 
+#include "UtilPrereqs.h"
+
 #include <string>
 #include <sstream>
 
-#include "UtilPrereqs.h"
 #include "Math.h"
 #include "SubString.h"
Index: code/trunk/src/util/Math.h
===================================================================
--- code/trunk/src/util/Math.h	(revision 1056)
+++ code/trunk/src/util/Math.h	(revision 1062)
@@ -30,7 +30,7 @@
 #define _Util_Math_H__
 
+#include "UtilPrereqs.h"
+
 #include <ostream>
-
-#include "UtilPrereqs.h"
 
 #include <OgreMath.h>
Index: code/trunk/src/util/MultiTypePrimitive.h
===================================================================
--- code/trunk/src/util/MultiTypePrimitive.h	(revision 1056)
+++ code/trunk/src/util/MultiTypePrimitive.h	(revision 1062)
@@ -31,7 +31,7 @@
 #define _MultiTypePrimitive_H__
 
+#include "UtilPrereqs.h"
+
 #include <ostream>
-
-#include "UtilPrereqs.h"
 
 #include "MultiType.h"
Index: code/trunk/src/util/MultiTypeString.h
===================================================================
--- code/trunk/src/util/MultiTypeString.h	(revision 1056)
+++ code/trunk/src/util/MultiTypeString.h	(revision 1062)
@@ -31,7 +31,8 @@
 #define _MultiTypeString_H__
 
+#include "UtilPrereqs.h"
+
 #include <string>
 #include <iostream>
-#include "UtilPrereqs.h"
 
 #include "MultiTypePrimitive.h"
Index: code/trunk/src/util/Sleep.h
===================================================================
--- code/trunk/src/util/Sleep.h	(revision 1056)
+++ code/trunk/src/util/Sleep.h	(revision 1062)
@@ -32,5 +32,5 @@
  */
 
-#include "OrxonoxPlatform.h"
+#include "UtilPrereqs.h"
 
 #if ORXONOX_PLATFORM == ORXONOX_PLATFORM_WIN32
Index: code/trunk/src/util/String.cc
===================================================================
--- code/trunk/src/util/String.cc	(revision 1056)
+++ code/trunk/src/util/String.cc	(revision 1062)
@@ -27,7 +27,8 @@
  */
 
+#include "String.h"
+
 #include <cctype>
 #include <iostream>
-#include "String.h"
 
 /**
Index: code/trunk/src/util/String.h
===================================================================
--- code/trunk/src/util/String.h	(revision 1056)
+++ code/trunk/src/util/String.h	(revision 1062)
@@ -30,8 +30,8 @@
 #define _Util_String_H__
 
+#include "UtilPrereqs.h"
+
 #include <string>
 #include <sstream>
-
-#include "UtilPrereqs.h"
 
 _UtilExport void         strip(std::string* str);
Index: code/trunk/src/util/String2Number.h
===================================================================
--- code/trunk/src/util/String2Number.h	(revision 1056)
+++ code/trunk/src/util/String2Number.h	(revision 1062)
@@ -30,4 +30,6 @@
 #define _String2Number_H__
 
+#include "UtilPrereqs.h"
+
 #include <string>
 #include <sstream>
@@ -35,5 +37,4 @@
 
 #include "core/Debug.h"
-#include "UtilPrereqs.h"
 
 /**
Index: code/trunk/src/util/SubString.h
===================================================================
--- code/trunk/src/util/SubString.h	(revision 1056)
+++ code/trunk/src/util/SubString.h	(revision 1062)
@@ -59,8 +59,8 @@
 #define __SUBSTRING_H__
 
+#include "UtilPrereqs.h"
+
 #include <vector>
 #include <string>
-
-#include "UtilPrereqs.h"
 
 //! A class that can load one string and split it in multipe ones
Index: code/trunk/src/util/UtilPrereqs.h
===================================================================
--- code/trunk/src/util/UtilPrereqs.h	(revision 1056)
+++ code/trunk/src/util/UtilPrereqs.h	(revision 1062)
@@ -35,5 +35,5 @@
 #define _UtilPrereqs_H__
 
-#include "orxonox/OrxonoxPlatform.h"
+#include "OrxonoxPlatform.h"
 
 //-----------------------------------------------------------------------
Index: code/trunk/src/util/XMLIncludes.h
===================================================================
--- code/trunk/src/util/XMLIncludes.h	(revision 1056)
+++ code/trunk/src/util/XMLIncludes.h	(revision 1062)
@@ -26,4 +26,6 @@
  *
  */
+
+#include "UtilPrereqs.h"
 
 //-----------------------------------------------------------------------