Index: code/trunk/CMakeLists.txt
===================================================================
--- code/trunk/CMakeLists.txt	(revision 1069)
+++ code/trunk/CMakeLists.txt	(revision 1070)
@@ -2,5 +2,5 @@
 #set some global variables, which are used throughout the project
 SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
-SET(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin/lib)
+SET(LIBRARY_OUTPUT_PATH    ${PROJECT_BINARY_DIR}/bin/lib)
 
 OPTION(TESTING_ENABLED "Do you want to enable Testing")
@@ -57,4 +57,7 @@
 SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -O2 -Wall -g -ggdb")
 SET(CMAKE_LD_FLAGS "$ENV{LDFLAGS}")
+SET(CMAKE_EXE_LINKER_FLAGS " --no-undefined")
+SET(CMAKE_SHARED_LINKER_FLAGS " --no-undefined")
+#SET(CMAKE_MODULE_LINKER_FLAGS " --no-undefined")
 
 #This sets where to look for "Find*.cmake" files
@@ -72,10 +75,27 @@
 FIND_PACKAGE(ZLIB)
 FIND_PACKAGE(Lua)
-#FIND_PACKAGE(ToLua)
 
 #Sets the search paths for the linking
-LINK_DIRECTORIES(${OGRE_LIB_DIR} ${OIS_LIB_DIR} ${CEGUI_LIB_DIR} ${CEGUI_OGRE_LIB_DIR} ${ENet_LIBRARY} ${Boost_LIBRARY_DIRS} ${Zlib_LIBRARY_DIR} ${Lua_LIBRARIES} core objects loader network weapon classHierarchy audio)
+LINK_DIRECTORIES(
+  ${OGRE_LIB_DIR}
+  ${OIS_LIB_DIR}
+  ${CEGUI_LIB_DIR} ${CEGUI_OGRE_LIB_DIR}
+  ${ENet_LIBRARY}
+  ${Boost_LIBRARY_DIRS}
+  ${Zlib_LIBRARY_DIR}
+  ${Lua_LIBRARIES}
+#  core objects loader network weapon classHierarchy audio
+)
+
 #Sets the search path for include files
-INCLUDE_DIRECTORIES(${OGRE_INCLUDE_DIR} ${OIS_INCLUDE_DIR} ${CEGUI_INCLUDE_DIR} ${CEGUI_OGRE_INCLUDE_DIR} ${ENet_INCLUDE_DIR} ${Boost_INCLUDE_DIRS} ${OPENAL_INCLUDE_DIR} ${ALUT_INCLUDE_DIR} ${VORBIS_INCLUDE_DIR} ${OGG_INCLUDE_DIR} ${Lua_INCLUDE_DIR})
+INCLUDE_DIRECTORIES(
+  ${OGRE_INCLUDE_DIR}
+  ${OIS_INCLUDE_DIR}
+  ${CEGUI_INCLUDE_DIR} ${CEGUI_OGRE_INCLUDE_DIR}
+  ${ENet_INCLUDE_DIR}
+  ${Boost_INCLUDE_DIRS}
+  ${OPENAL_INCLUDE_DIR} ${ALUT_INCLUDE_DIR} ${VORBIS_INCLUDE_DIR} ${OGG_INCLUDE_DIR}
+  ${Lua_INCLUDE_DIR}
+)
 
 #Set the execution directory
Index: code/trunk/src/audio/CMakeLists.txt
===================================================================
--- code/trunk/src/audio/CMakeLists.txt	(revision 1069)
+++ code/trunk/src/audio/CMakeLists.txt	(revision 1070)
@@ -9,8 +9,6 @@
   ADD_LIBRARY( audio ${AUDIO_SRC_FILES} )
 ELSE (WIN32)
-  ADD_LIBRARY( audio SHARED ${AUDIO_SRC_FILES})
+  ADD_LIBRARY( audio SHARED ${AUDIO_SRC_FILES} )
 ENDIF (WIN32)
-
-SET_TARGET_PROPERTIES( audio PROPERTIES LINK_FLAGS "--no-undefined" )
 
 TARGET_LINK_LIBRARIES( audio
Index: code/trunk/src/core/CMakeLists.txt
===================================================================
--- code/trunk/src/core/CMakeLists.txt	(revision 1069)
+++ code/trunk/src/core/CMakeLists.txt	(revision 1070)
@@ -30,5 +30,4 @@
 
 ADD_LIBRARY( core SHARED ${CORE_SRC_FILES})
-SET_TARGET_PROPERTIES( core PROPERTIES LINK_FLAGS "--no-undefined" )
 
 TARGET_LINK_LIBRARIES( core
Index: code/trunk/src/network/CMakeLists.txt
===================================================================
--- code/trunk/src/network/CMakeLists.txt	(revision 1069)
+++ code/trunk/src/network/CMakeLists.txt	(revision 1070)
@@ -15,10 +15,8 @@
 
 IF(WIN32)
-  ADD_LIBRARY( network ${NETWORK_SRC_FILES})
+  ADD_LIBRARY( network ${NETWORK_SRC_FILES} )
 ELSE(WIN32)
-  ADD_LIBRARY( network SHARED ${NETWORK_SRC_FILES})
+  ADD_LIBRARY( network SHARED ${NETWORK_SRC_FILES} )
 ENDIF(WIN32)
-
-SET_TARGET_PROPERTIES( network PROPERTIES LINK_FLAGS "--no-undefined" )
 
 TARGET_LINK_LIBRARIES( network
@@ -28,4 +26,5 @@
   core
 )
+
 
 # build those parts only on request.
Index: code/trunk/src/orxonox/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/CMakeLists.txt	(revision 1069)
+++ code/trunk/src/orxonox/CMakeLists.txt	(revision 1070)
@@ -34,6 +34,4 @@
 ADD_EXECUTABLE( orxonox ${ORXONOX_SRC_FILES} )
 
-SET_TARGET_PROPERTIES( orxonox PROPERTIES LINK_FLAGS "--no-undefined" )
-
 TARGET_LINK_LIBRARIES( orxonox
   ${OGRE_LIBRARIES}
Index: code/trunk/src/orxonox/hud/HUD.cc
===================================================================
--- code/trunk/src/orxonox/hud/HUD.cc	(revision 1069)
+++ code/trunk/src/orxonox/hud/HUD.cc	(revision 1070)
@@ -50,5 +50,5 @@
     setTargetWindowDistance(30);
 
-    setEnergyValue(60.0);
+    setEnergyValue(60);
 
     setShieldLeftTopValue(true);
Index: code/trunk/src/util/CMakeLists.txt
===================================================================
--- code/trunk/src/util/CMakeLists.txt	(revision 1069)
+++ code/trunk/src/util/CMakeLists.txt	(revision 1070)
@@ -18,5 +18,4 @@
 
 ADD_LIBRARY( util SHARED ${UTIL_SRC_FILES} )
-SET_TARGET_PROPERTIES( util PROPERTIES LINK_FLAGS "--no-undefined" )
 
 IF(TESTING_ENABLED)